Bug 211362 - kernel-2.6.18-1.2200 update breaks usbnet & Linksys USB200M 10/100 Ethernet Adapter
kernel-2.6.18-1.2200 update breaks usbnet & Linksys USB200M 10/100 Ethernet A...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-18 16:18 EDT by Anthony Messina
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 20:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2006-10-18 16:18:11 EDT
Description of problem:
After using yum to update to the above kernel, my usb ethernet interface is
rendered unworking. It worked flawlessly with the previous (2.6.17-1.2187_FC5)
kernel. I marked this bug "high" as I no longer have network support in this box
with the new kernel (the onboard broadcom - b44 crapped out a while ago).

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2200

How reproducible:
Every time I try to start the network.

Steps to Reproduce:
1. Update kernel (change nothing else)
2. Reboot into new kernel
3. During bootup, see that the formerly working usb device which used the usbnet
driver is now not able to acquire a network address.
4. Reverting to previous kernel fixes problem.
  
Actual results:
Linksys USB200M 10/100 Ethernet Adapter *appears* to be working; the lights are
on and flash as if it's trying to send out a dhcp request; no errors show up in
logs or dmesg, other than the fact that it could not acquire a network address -
"check cable."

Expected results:
The network controller actually works as it did in the previous kernel

Additional info:
lsusb -v output for this device:

Bus 004 Device 003: ID 13b1:0018 Linksys USB200M 10/100 Ethernet Adapter
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass          255 Vendor Specific Class
  bDeviceSubClass       255 Vendor Specific Subclass
  bDeviceProtocol         0
  bMaxPacketSize0        64
  idVendor           0x13b1 Linksys
  idProduct          0x0018 USB200M 10/100 Ethernet Adapter
  bcdDevice            0.01
  iManufacturer           1
  iProduct                2 USB 2.0 Network Adapter ver.2
  iSerial                 3 00FFFF
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           39
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          4 0
    bmAttributes         0xa0
      Remote Wakeup
    MaxPower              250mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol      0
      iInterface              7 0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              11
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass          255 Vendor Specific Class
  bDeviceSubClass       255 Vendor Specific Subclass
  bDeviceProtocol         0
  bMaxPacketSize0         8
  bNumConfigurations      1
Comment 1 Anthony Messina 2007-07-23 20:49:49 EDT
i don't need this anymore. fc5 is old.

Note You need to log in before you can comment on or make changes to this bug.